function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { PrimaryColumn, Entity, Index, JoinColumn, Column, ManyToOne } from "typeorm";
import { User } from "./user.js";
import { id } from "../id.js";
import { UserList } from "./user-list.js";
import { UserGroupJoining } from "./user-group-joining.js";
export let Antenna = class Antenna {
    id;
    createdAt;
    userId;
    user;
    name;
    src;
    userListId;
    userList;
    userGroupJoiningId;
    userGroupJoining;
    users;
    instances;
    keywords;
    excludeKeywords;
    caseSensitive;
    withReplies;
    withFile;
    expression;
    notify;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], Antenna.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        comment: "The created date of the Antenna."
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], Antenna.prototype, "createdAt", void 0);
_ts_decorate([
    Index(),
    Column({
        ...id(),
        comment: "The owner ID."
    }),
    _ts_metadata("design:type", Object)
], Antenna.prototype, "userId", void 0);
_ts_decorate([
    ManyToOne((type)=>User, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], Antenna.prototype, "user", void 0);
_ts_decorate([
    Column("varchar", {
        length: 128,
        comment: "The name of the Antenna."
    }),
    _ts_metadata("design:type", String)
], Antenna.prototype, "name", void 0);
_ts_decorate([
    Column("enum", {
        enum: [
            "home",
            "all",
            "users",
            "list",
            "group",
            "instances"
        ]
    }),
    _ts_metadata("design:type", String)
], Antenna.prototype, "src", void 0);
_ts_decorate([
    Column({
        ...id(),
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Antenna.prototype, "userListId", void 0);
_ts_decorate([
    ManyToOne((type)=>UserList, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], Antenna.prototype, "userList", void 0);
_ts_decorate([
    Column({
        ...id(),
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Antenna.prototype, "userGroupJoiningId", void 0);
_ts_decorate([
    ManyToOne((type)=>UserGroupJoining, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], Antenna.prototype, "userGroupJoining", void 0);
_ts_decorate([
    Column("varchar", {
        length: 1024,
        array: true,
        default: "{}"
    }),
    _ts_metadata("design:type", Array)
], Antenna.prototype, "users", void 0);
_ts_decorate([
    Column("jsonb", {
        default: []
    }),
    _ts_metadata("design:type", Array)
], Antenna.prototype, "instances", void 0);
_ts_decorate([
    Column("jsonb", {
        default: []
    }),
    _ts_metadata("design:type", Array)
], Antenna.prototype, "keywords", void 0);
_ts_decorate([
    Column("jsonb", {
        default: []
    }),
    _ts_metadata("design:type", Array)
], Antenna.prototype, "excludeKeywords", void 0);
_ts_decorate([
    Column("boolean", {
        default: false
    }),
    _ts_metadata("design:type", Boolean)
], Antenna.prototype, "caseSensitive", void 0);
_ts_decorate([
    Column("boolean", {
        default: false
    }),
    _ts_metadata("design:type", Boolean)
], Antenna.prototype, "withReplies", void 0);
_ts_decorate([
    Column("boolean"),
    _ts_metadata("design:type", Boolean)
], Antenna.prototype, "withFile", void 0);
_ts_decorate([
    Column("varchar", {
        length: 2048,
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Antenna.prototype, "expression", void 0);
_ts_decorate([
    Column("boolean"),
    _ts_metadata("design:type", Boolean)
], Antenna.prototype, "notify", void 0);
Antenna = _ts_decorate([
    Entity()
], Antenna);
